%global pypi_name qutepart

Name:           python-%{pypi_name}
Version:        3.3.1
Release:        %mkrel 1
Summary:        Code editor widget for PyQt
Group:          Development/Python
License:        LGPLv2
URL:            https://github.com/hlamer/qutepart
Source0:        https://github.com/hlamer/qutepart/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
Patch0:         python3.8.patch
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt5-devel

%description
Qutepart is a code editor widget for PyQt. Features:
    - Syntax highlighting for 196 languages
    - Smart indentation for many languages
    - Line numbers
    - Bookmarks
    - Advanced edit operations
    - Matching braces highlighting
    - Autocompletion based on document content
    - Marking too long lines with red line
    - Rectangular selection and copy-paste
    - Linter marks support
    - Vim mode

%package -n python3-%{pypi_name}
Summary:        Code editor widget for PyQt
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3
Requires:	pcre
Requires:	python3-qt5

%description -n python3-%{pypi_name}
Qutepart is a code editor widget for PyQt. Features:
    - Syntax highlighting for 196 languages
    - Smart indentation for many languages
    - Line numbers
    - Bookmarks
    - Advanced edit operations
    - Matching braces highlighting
    - Autocompletion based on document content
    - Marking too long lines with red line
    - Rectangular selection and copy-paste
    - Linter marks support
    - Vim mode

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitearch}/qutepart*


%changelog
* Mon Apr 13 2020 daviddavid <daviddavid> 3.3.1-1.mga8
+ Revision: 1567044
- new version: 3.3.1

* Wed Mar 04 2020 daviddavid <daviddavid> 3.3.0-1.mga8
+ Revision: 1553580
- new version: 3.3.0

* Sun Feb 16 2020 umeabot <umeabot> 3.2.0-4.mga8
+ Revision: 1533383
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 wally <wally> 3.2.0-3.mga8
+ Revision: 1438889
- rename src rpm as python-qutepart
- rebuild for python3.8

* Tue Jan 08 2019 tv <tv> 3.2.0-2.mga7
+ Revision: 1352087
- rebuild with python 3.7

* Sun Dec 02 2018 dglent <dglent> 3.2.0-1.mga7
+ Revision: 1337518
- Version 3.2.0

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1300437
- Mageia 7 Mass Rebuild

* Thu Nov 09 2017 dglent <dglent> 3.0.1-1.mga7
+ Revision: 1176726
- Version 3.0.1

* Sat Aug 05 2017 pterjan <pterjan> 3.0.0-2.mga7
+ Revision: 1135299
- Rebuild for python 3.6

* Wed Apr 20 2016 dglent <dglent> 3.0.0-1.mga6
+ Revision: 1003670
-Import python3 package of qutepart
- Created package structure for python3-qutepart.

